package cn.superdesk.uniorder.pattern.state.invoice.supplier.invoiceApplySupplier.payoffAccountStatus.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplySupplierFieldPayoffAccountStatusState {

	// 侨城汇-运营 开票申请后初始状态 待付款 -> 状态 -> 待付款(0, "待付款"),
	int opInit();

	// 侨城汇-运营 op发起付款 向上级请款 审批流程 例如 走OA审批流 -> 状态 -> 付款中(10, "付款中"),
	int opRegulatoryPipeline();

	// 侨城汇-运营 收到发票后 跟进付款 部分付款 - 预留 - 目前没有这逻辑,也不允许 -> 状态 -> 部分付款(1, "部分付款"),
	int opPart();

	// 侨城汇-运营 op确认付款 收到发票后 线下 或 走OA 请到付且付款后 已付款 -> 状态 -> 已付款(2, "已付款"),
	int opComplete();

}
